util.ui

## Class GridFlowLayout

- java.lang.Object
- - util.ui.GridFlowLayout

- All Implemented Interfaces:
    java.awt.LayoutManager

      public class GridFlowLayout
      extends java.lang.Object
      implements java.awt.LayoutManager

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BOTTOM`
    `static int` | `CENTER`
    `static int` | `LEFT`
    `static int` | `RIGHT`
    `static int` | `TOP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GridFlowLayout()`
    `GridFlowLayout(int hgap, int vgap)`
    `GridFlowLayout(int hgap, int vgap, int valign, int halign)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLayoutComponent(java.lang.String arg0, java.awt.Component arg1)`
    `void` | `layoutContainer(java.awt.Container container)`
    `java.awt.Dimension` | `minimumLayoutSize(java.awt.Container c)`
    `java.awt.Dimension` | `preferredLayoutSize(java.awt.Container c)`
    `void` | `removeLayoutComponent(java.awt.Component arg0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CENTER

          public static final int CENTER

      See Also:
        Constant Field Values

    - #### LEFT

          public static final int LEFT

      See Also:
        Constant Field Values

    - #### RIGHT

          public static final int RIGHT

      See Also:
        Constant Field Values

    - #### TOP

          public static final int TOP

      See Also:
        Constant Field Values

    - #### BOTTOM

          public static final int BOTTOM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GridFlowLayout

          public GridFlowLayout(int hgap,
                        int vgap,
                        int valign,
                        int halign)

    - #### GridFlowLayout

          public GridFlowLayout(int hgap,
                        int vgap)

    - #### GridFlowLayout

          public GridFlowLayout()

  - ### Method Detail

    - #### removeLayoutComponent

          public void removeLayoutComponent(java.awt.Component arg0)

      Specified by:
        `removeLayoutComponent` in interface `java.awt.LayoutManager`

    - #### layoutContainer

          public void layoutContainer(java.awt.Container container)

      Specified by:
        `layoutContainer` in interface `java.awt.LayoutManager`

    - #### addLayoutComponent

          public void addLayoutComponent(java.lang.String arg0,
                                java.awt.Component arg1)

      Specified by:
        `addLayoutComponent` in interface `java.awt.LayoutManager`

    - #### minimumLayoutSize

          public java.awt.Dimension minimumLayoutSize(java.awt.Container c)

      Specified by:
        `minimumLayoutSize` in interface `java.awt.LayoutManager`

    - #### preferredLayoutSize

          public java.awt.Dimension preferredLayoutSize(java.awt.Container c)

      Specified by:
        `preferredLayoutSize` in interface `java.awt.LayoutManager`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)